$(function(){
	initGrid();
});
function initGrid(){
	toolbar = [
	 	      {
	 		        text:'查询',
	 		        iconCls:'icon-search',
	 		        handler:function(){
	 		        	showVideoList();
	 		        }
	 	      }
	 	];
	showVideoList();
}
function showVideoList(){
	$("#videoList").datagrid({
		toolbar : toolbar,
		url : 'ywalarmeventinfoAction!listYwalarmeventinfoByPage.do',//'demoAction!listDemoByPage.do',
		getQueryParams:getQueryParams(),
		columns:[[
            {field: 'A',checkbox:'true',width:30}, 
        	{field:'alarmruleid',title:'序号',hidden:false,width:120},
			{field:'alarmtypename',title:'行政区划',hidden:false,width:120},
			{field:'alarmgradename',title:'监控点名称',hidden:false,width:120},
			{field:'alarmsubtypecode',title:'ip地址',hidden:false,width:120}
		]]
	});
}
//查询条件
function getQueryParams(){
	var sParam = {};
	sParam.order = "order by alarmtime desc ";
	return sParam;
}
